org.wso2.carbon.proxyadmin.stub.types.synapse

## Class StopProxyService

- java.lang.Object
- - org.wso2.carbon.proxyadmin.stub.types.synapse.StopProxyService

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class StopProxyService
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  StopProxyService bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StopProxyService.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localProxyName` field for ProxyName
    `protected boolean` | `localProxyNameTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StopProxyService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `String` | `getProxyName()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `boolean` | `isProxyNameSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setProxyName(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localProxyName

          protected String localProxyName

      field for ProxyName

    - #### localProxyNameTracker

          protected boolean localProxyNameTracker

  - ### Constructor Detail

    - #### StopProxyService

          public StopProxyService()

  - ### Method Detail

    - #### isProxyNameSpecified

          public boolean isProxyNameSpecified()

    - #### getProxyName

          public String getProxyName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setProxyName

          public void setProxyName(String param)

      Auto generated setter method
      Parameters:
        `param` - ProxyName

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.